summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Väth <martin@mvath.de>2015-10-11 11:26:48 +0200
committerMartin Väth <martin@mvath.de>2015-10-11 11:32:18 +0200
commit109d6b4f673a249aea4deeb0cdb5b54a21592410 (patch)
treeec3589a50dac5be54ef6248d1e0ff3a9fd3b41b4 /sys-kernel
downloadmv-109d6b4f673a249aea4deeb0cdb5b54a21592410.tar.gz
mv-109d6b4f673a249aea4deeb0cdb5b54a21592410.tar.bz2
mv-109d6b4f673a249aea4deeb0cdb5b54a21592410.zip
Clear history for egencache --repo=mv --update-changelogs
Diffstat (limited to 'sys-kernel')
-rw-r--r--sys-kernel/kernel/Manifest1
-rw-r--r--sys-kernel/kernel/kernel-1.39.ebuild40
-rw-r--r--sys-kernel/kernel/metadata.xml16
3 files changed, 57 insertions, 0 deletions
diff --git a/sys-kernel/kernel/Manifest b/sys-kernel/kernel/Manifest
new file mode 100644
index 00000000..017687a4
--- /dev/null
+++ b/sys-kernel/kernel/Manifest
@@ -0,0 +1 @@
+DIST kernel-1.39.tar.gz 7210 SHA256 e8e97235120ce0b2b9b75f7217a2e4d976e00dde342d46b1edaf82749c47b93f SHA512 27c89c8a751a0523232bcaba71459e4b045f690da69164d6f64acdccb483bc5d36da0f17288dbf7c09e59bb0d67311ad22af6455b15007a042b7712e2bccc7ee WHIRLPOOL 83f1740fef7166e82322c2a4f972e03f64a2ae347d26fa6839c5abb744ecb246a4bb84cab5fe5fdcd78ecf98edaf1f61ce06309c95d82fc59151f3d3d3c5e13b
diff --git a/sys-kernel/kernel/kernel-1.39.ebuild b/sys-kernel/kernel/kernel-1.39.ebuild
new file mode 100644
index 00000000..528ac75e
--- /dev/null
+++ b/sys-kernel/kernel/kernel-1.39.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+RESTRICT="mirror"
+inherit eutils
+
+DESCRIPTION="A POSIX shell script to compile the kernel with user permissions"
+HOMEPAGE="https://github.com/vaeth/kernel/"
+SRC_URI="https://github.com/vaeth/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+RDEPEND="app-admin/sudo
+ app-admin/sudox
+ app-shells/push
+ >=app-shells/runtitle-2.3
+ !<dev-util/ccache-3.2"
+DEPEND=""
+
+src_prepare() {
+ use prefix || sed -i \
+ -e '1s"^#!/usr/bin/env sh$"#!'"${EPREFIX}/bin/sh"'"' \
+ -- "${PN}" || die
+ epatch_user
+}
+
+src_install() {
+ dobin "${PN}"
+ insinto /usr/share/zsh/site-functions
+ doins _*
+}
+
+pkg_postinst() {
+ optfeature "faster execution" 'app-portage/eix'
+ optfeature "status bar support" 'app-shells/runtitle'
+}
diff --git a/sys-kernel/kernel/metadata.xml b/sys-kernel/kernel/metadata.xml
new file mode 100644
index 00000000..1443c144
--- /dev/null
+++ b/sys-kernel/kernel/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>martin@mvath.de</email>
+ <name>Martin Väth</name>
+ </maintainer>
+ <upstream>
+ <maintainer>
+ <email>martin@mvath.de</email>
+ <name>Martin Väth</name>
+ </maintainer>
+ <bugs-to>mailto:martin@mvath.de</bugs-to>
+ <remote-id type="github">vaeth/kernel</remote-id>
+ </upstream>
+</pkgmetadata>